<?php
if (isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
	// Проверка на передачу параметра
	if(empty($_POST['search'])):
		exit('NO1');
	endif;
	// Подключаем конфигурацию
	require('../flowap/system.php');
	// фильтруем
	$search = functions::htmlred($_POST['search']);
	$result = DB::$dbs->query("SELECT `urlt`,`name` FROM `blog` where `name` like '%$search%' order by `name` desc limit 6");
	if($result -> rowCount() > 0): ?>
		<div class="flowap3">
			<?php
			$sql = $result -> fetchAll(PDO::FETCH_BOTH);
	        foreach ($sql as $blog): ?>
	        	<a href="/blog/<?php echo $blog['urlt'];?>" class="prrco1 linkr"><?php echo $blog['name'];?></a>
	        <?php endforeach;
	        if($result -> rowCount() > 6): ?> 
			<a href="/" class="prrco2 linkr">Посмотреть все</a>
			<?php endif; ?>
		</div>
	<?php endif; 
}else{
	exit('NO2');
}
?>







